//
//
//

#pragma once

#include <Raym/InputStream.h>

namespace Raym
{

class FileInputStream : public InputStream
{
private:
    FileHandle *  _handle;

protected:
    FileInputStream();
    ~FileInputStream();

public:
    static FileInputStream *fileInputStream(FileHandle *handle);
    FileInputStream *initWithFileHandle(FileHandle *handle);

    String *readLine();

    virtual const char *className();
};

} // Raym

